import request from '@/utils/request'

export function index(params){
  return request({
    method:'get',
    url:'/api/admin/common-product/index',
    params
  })
}

export function show(params){
  return request({
    method:'get',
    url:'/api/admin/common-product/show',
    params
  })
}

export function store(data){
  return request({
    method:'post',
    url:'/api/admin/common-product/store',
    data
  })
}

export function save(data){
  return request({
    method:'post',
    url:'/api/admin/common-product/save',
    data
  })
}

export function destroy(data){
  return request({
    method:'post',
    url:'/api/admin/common-product/destroy',
    data
  })
}

export function getPicture(params){
  return request({
    method:'get',
    url:'/api/admin/common-product/get-picture',
    params
  })
}

export function getCombo(params){
  return request({
    method:'get',
    url:'/api/admin/common-product/get-combo',
    params
  })
}

